pyqtdeploy for Android target

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

pyqtdeploy for Android target

Dark Penguin
Could someone please provide a working combination of versions and
options for building a "hello world" application with pyqtdeploy for
Android?

I can successfully use pyqtdeploy to build a print("Hello world")
application for Linux with any versions and options combination, but
building for Android fails for various reasons no matter what I try.
After a while, I realized that for now it doesn't work out of the box -
I need to hunt for specific configurations in order for it to work. I
couldn't find any on the Internet - only a couple of posts basically
saying "It doesn't work, I gave up after a few weeks".

If the latest versions of everything are supposed to work, I can post
details about what I've tried, but for now it seems pointless since
apparently I must begin with using a working combination of versions and
options.


--
darkpenguin
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt
Reply | Threaded
Open this post in threaded view
|

Re: pyqtdeploy for Android target

Phil Thompson-5
On 24 Feb 2019, at 7:10 am, Dark Penguin <[hidden email]> wrote:

>
> Could someone please provide a working combination of versions and
> options for building a "hello world" application with pyqtdeploy for
> Android?
>
> I can successfully use pyqtdeploy to build a print("Hello world")
> application for Linux with any versions and options combination, but
> building for Android fails for various reasons no matter what I try.
> After a while, I realized that for now it doesn't work out of the box -
> I need to hunt for specific configurations in order for it to work. I
> couldn't find any on the Internet - only a couple of posts basically
> saying "It doesn't work, I gave up after a few weeks".
>
> If the latest versions of everything are supposed to work, I can post
> details about what I've tried, but for now it seems pointless since
> apparently I must begin with using a working combination of versions and
> options.

The versions used in the demo are shown in the screenshot. The toolchain versions aren't shown but are the ones used to build Qt as defined in the Qt documentation.

I'm currently adding support for 64-bit Android (now that the Qt installers include the relevant libraries). I will update the docs to include the toolchain versions used to build the demo.

Phil
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt